Lockdown 1.72


1.72u, Oct 16, 2007


  • Lockdown is now compatible with certain big cats out of cupertino. At the same time it remains compatible with existing Big Cats. Please install this if you plan to upgrade to OSX 10.5 (Leopard)